<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once __DIR__ . "/domaindata.php";

// Umgebung (optional, aber hilfreich für Debugging / Logik)
define('APP_ENV', 'staging'); // oder 'prod', 'local', ...


if (!defined('ASSET_VERSION')) {
    define('ASSET_VERSION', time()); // oder deine aktuelle Version
}

if (!defined('APP_STAGE_PREFIX')) {
    define('APP_STAGE_PREFIX', 'staging');
}

// Domain-Konfiguration (kann pro Umgebung angepasst werden)
if (!defined('APP_DOMAIN_PRIMARY')) {
    define('APP_DOMAIN_PRIMARY', APP_STAGE_PREFIX . '.' . APP_DOMAIN_NAME);
}
if (!defined('APP_URL_PRIMARY')) {
    define('APP_URL_PRIMARY', 'https://' . APP_DOMAIN_PRIMARY);
}
if (!defined('APP_DOMAIN_FAKECHECK')) {
    define('APP_DOMAIN_FAKECHECK', APP_STAGE_PREFIX . '.ismyusbfake.com');
}
if (!defined('APP_URL_FAKECHECK')) {
    define('APP_URL_FAKECHECK', 'https://' . APP_DOMAIN_FAKECHECK);
}

// Matomo Einstellungen
define('MATOMO_URL', 'https://matomo.my-statistics.info/');
define('MATOMO_ENABLED', false);
define('MATOMO_SITE_ID', 8);
$baseUrl   = 'https://' . APP_DOMAIN_PRIMARY;
$apiBaseUrl = 'https://api.' . APP_DOMAIN_PRIMARY;
